commit:     2d0dff1e9d4ef47cee761ee29cebd6f708cc565e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  3 04:45:36 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug  3 05:00:08 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d0dff1e

dev-python/autobahn: Bump to 24.4.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/autobahn/Manifest               |   1 +
 dev-python/autobahn/autobahn-24.4.2.ebuild | 122 +++++++++++++++++++++++++++++
 2 files changed, 123 insertions(+)

diff --git a/dev-python/autobahn/Manifest b/dev-python/autobahn/Manifest
index 825092d6e43e..f9347ed7e59f 100644
--- a/dev-python/autobahn/Manifest
+++ b/dev-python/autobahn/Manifest
@@ -1 +1,2 @@
 DIST autobahn-23.6.2.tar.gz 480814 BLAKE2B 
fb4a2e8510a51e2e70289d98eb54b3b06aba6e011eb8ad4ac2fb6e706d7be313f60a785a8366ff47500a6ad58f5645eedbeb4c831087ab531d8650129ec08c45
 SHA512 
5935203277d17aab3f80e6edf700ff173fe7e23622b9d2617f91e080f56b078f947f907289f008b5eb21b1346142274616baad4a36629f49dafe409d6fdb931a
+DIST autobahn-24.4.2.tar.gz 482700 BLAKE2B 
e94026e0cfbb3a3ba2a494ac50e851ed1c35a842dd6b5ce2ac437a19fa0d30061d16b0965831ce57067d6682df256e5140d67e0e9b4d71cc1dbcc16287ffbed1
 SHA512 
2caffa9a49e3661e665a4e2641b96ff48581264654cb35ebc2e8a67620ce81bd330895bb12a098488676ab74c8275e601f45357840ca074c3c6a3d7247e563e9

diff --git a/dev-python/autobahn/autobahn-24.4.2.ebuild 
b/dev-python/autobahn/autobahn-24.4.2.ebuild
new file mode 100644
index 000000000000..02db640a0eb7
--- /dev/null
+++ b/dev-python/autobahn/autobahn-24.4.2.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="WebSocket and WAMP for Twisted and Asyncio"
+HOMEPAGE="
+       https://github.com/crossbario/autobahn-python/
+       https://pypi.org/project/autobahn/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~sparc ~x86"
+IUSE="test xbr"
+RESTRICT="!test? ( test )"
+
+# The order of deps is based on their appearance in setup.py
+# All extra deps should be included in test and in optfeature
+RDEPEND="
+       >=dev-python/zope-interface-5.2.0[${PYTHON_USEDEP}]
+       >=dev-python/twisted-24.3.0[${PYTHON_USEDEP}]
+       >=dev-python/attrs-20.3.0[${PYTHON_USEDEP}]
+       >=dev-python/txaio-21.2.1[${PYTHON_USEDEP}]
+       dev-python/cryptography[${PYTHON_USEDEP}]
+       >=dev-python/hyperlink-21.0.0[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               ${RDEPEND}
+               >=dev-python/wsaccel-0.6.3[${PYTHON_USEDEP}]
+               >=dev-python/python-snappy-0.6.0[${PYTHON_USEDEP}]
+               >=dev-python/msgpack-1.0.2[${PYTHON_USEDEP}]
+               >=dev-python/ujson-4.0.2[${PYTHON_USEDEP}]
+               >=dev-python/cbor2-5.2.0[${PYTHON_USEDEP}]
+               >=dev-python/py-ubjson-0.16.1[${PYTHON_USEDEP}]
+               >=dev-python/flatbuffers-22.12.06[${PYTHON_USEDEP}]
+               >=dev-python/pyopenssl-20.0.1[${PYTHON_USEDEP}]
+               >=dev-python/service-identity-18.1.0[${PYTHON_USEDEP}]
+               >=dev-python/pynacl-1.4.0[${PYTHON_USEDEP}]
+               >=dev-python/pytrie-0.4[${PYTHON_USEDEP}]
+               >=dev-python/cffi-1.14.5[${PYTHON_USEDEP}]
+               >=dev-python/argon2-cffi-20.1.0[${PYTHON_USEDEP}]
+               >=dev-python/passlib-1.7.4[${PYTHON_USEDEP}]
+
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+               dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+       )
+"
+
+python_prepare_all() {
+       if use xbr ; then
+               eerror "***************"
+               eerror "Required xbr dependencies are incomplete in Gentoo."
+               eerror "So this functionality will not yet work"
+               eerror "Please file a bug if this feature is needed"
+               eerror "***************"
+       else
+               # remove xbr components
+               export AUTOBAHN_STRIP_XBR="True"
+       fi
+
+       distutils-r1_python_prepare_all
+
+       # avoid useless rust dependency
+       sed -i -e '/cryptography/s:>=3.4.6::' setup.py || die
+
+       # remove twisted plugin cache regen in setup.py
+       # to fix tinderbox sandbox issue
+       sed -e '/import/s:reactor:__importmustfail__:' \
+               -i setup.py || die
+
+       # https://github.com/crossbario/autobahn-python/issues/1646
+       sed -e 's:(forbid_global_loop=True)::' \
+               -i autobahn/wamp/test/test_wamp_component_aio.py || die
+}
+
+python_test() {
+       rm -rf autobahn || die
+
+       einfo "Testing all, cryptosign using twisted"
+       local -x USE_TWISTED=true
+       "${EPYTHON}" -m twisted.trial autobahn || die "Tests failed with 
${EPYTHON}"
+       unset USE_TWISTED
+
+       einfo "RE-testing cryptosign and component_aio using asyncio"
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       local -x USE_ASYNCIO=true
+       epytest -p asyncio --pyargs \
+               autobahn.asyncio.test.test_aio_{raw,web}socket \
+               autobahn.wamp.test.test_wamp_{cryptosign,component_aio}
+       unset USE_ASYNCIO
+
+       rm -f twisted/plugins/dropin.cache || die
+}
+
+pkg_postinst() {
+       optfeature "C-based WebSocket acceleration" "dev-python/wsaccel"
+       optfeature "non-standard WebSocket compression support" \
+               "dev-python/python-snappy"
+       optfeature "accelerated WAMP serialization support" \
+               "dev-python/msgpack dev-python/ujson dev-python/cbor2 
dev-python/flatbuffers dev-python/py-ubjson"
+       optfeature "TLS transport encryption" \
+               "dev-python/pyopenssl dev-python/pynacl dev-python/pytrie 
dev-python/qrcode dev-python/service-identity"
+       optfeature "WAMP-SCRAM authentication" \
+               "dev-python/cffi dev-python/argon2-cffi dev-python/passlib"
+       optfeature "native SIMD acceleration" "dev-python/cffi"
+
+       python_foreach_impl twisted-regen-cache
+}
+
+pkg_postrm() {
+       python_foreach_impl twisted-regen-cache
+}

Reply via email to